Coinbase Derivatives API
cURL
curl --request GET \ --url https://api.exchange.fairx.net/rest/positions
{ "f81d4fae-7dec-11d0-a765-00a0c91e6bf6": { "firm_uuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6", "long_daily_contribution": 100, "long_daily_position_limit": 5000000, "long_real_contribution": 100, "long_real_position_limit": 5000000, "positions": { "BIPZ30": { "long_filled_daily_position": 0, "long_filled_real_position": 0, "long_initial_margin": 100, "long_working_position": 0, "short_filled_daily_position": 0, "short_filled_real_position": 0, "short_initial_margin": 100, "short_working_position": 0, "symbol": "BIPZ30", "total_futures_long_daily_dollar_amount": 0, "total_futures_long_real_dollar_amount": 0, "total_futures_short_daily_dollar_amount": 0, "total_futures_short_real_dollar_amount": 0 } }, "product_positions": { "BIP": { "long_daily_contribution": 100, "long_daily_position_limit": 10000, "long_real_contribution": 100, "long_real_position_limit": 15000, "product_code": "BIP", "short_daily_contribution": 50, "short_daily_position_limit": 15000, "short_real_contribution": 50, "short_real_position_limit": 20000, "trading_disabled": false } }, "short_daily_contribution": 50, "short_daily_position_limit": 5000000, "short_real_contribution": 50, "short_real_position_limit": 5000000 } }
Retrieves firm-level positions for all firms you have access to
Documentation IndexFetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
Use this file to discover all available pages before exploring further.
Instrument filters: TWO_WEEKS(two weeks within expiry), NON_EXPIRED(not expired), IS_ACTIVE(not expired, and is currently trading)
"IS_ACTIVE"
Successfully retrieved positions
Show child attributes
Was this page helpful?